https://balanceplatform-api-test.adyen.com/bcl/v2/balanceAccounts/{id}/paymentInstrumentsReturns a paginated list of the payment instruments associated with a balance account. To fetch multiple pages, use the query parameters.For example, to limit the page to 3 payment instruments and to skip the first 6, use `/balanceAccounts/{id}/paymentInstruments?limit=3&offset=6`.
The unique identifier of the balance account.
The number of items that you want to skip.
The number of items returned per page, maximum 100 items. By default, the response returns 10 items per page.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://balanceplatform-api-test.adyen.com/bcl/v2/balanceAccounts/{id}/paymentInstruments' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://balanceplatform-api-test.adyen.com/bcl/v2/balanceAccounts/{id}/paymentInstrumentsReturns a paginated list of the payment instruments associated with a balance account. To fetch multiple pages, use the query parameters.For example, to limit the page to 3 payment instruments and to skip the first 6, use `/balanceAccounts/{id}/paymentInstruments?limit=3&offset=6`.
The unique identifier of the balance account.
The number of items that you want to skip.
The number of items returned per page, maximum 100 items. By default, the response returns 10 items per page.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://balanceplatform-api-test.adyen.com/bcl/v2/balanceAccounts/{id}/paymentInstruments' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}